com.mysql.cj

## Interface DataStoreMetadata

    public interface DataStoreMetadata

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getTableRowCount(String schemaName, String tableName)`
`boolean` `schemaExists(String schemaName)`
`boolean` `tableExists(String schemaName, String tableName)`

### Method Detail

#### schemaExists

    boolean schemaExists(String schemaName)

#### tableExists

    boolean tableExists(String schemaName,
                        String tableName)

#### getTableRowCount

    long getTableRowCount(String schemaName,
                          String tableName)

Copyright © 2016, 2023, Oracle and/or its affiliates.